CCMP = cc -g
#CFLAGS = -fast -Xs
#
.c.o:
	$(CCMP) -c $<

OBJ = delta_az.o gcarc.o get_lengths.o getpar.o image_smooth.o \
	mnrutil.o row_io.o write_model.o nreadobs.o readobs.o latlon_to_xy.o \
	minc_lsqr.o wtminc_lsqr.o normalize.o get2Dsmoother.o in_rect.o \
	get_rough.o
#

all: libtomo clean

libtomo: $(OBJ)
	ar rcv libtomo.a $(OBJ)
	ranlib libtomo.a

test_lsqr: test_lsqr.o minc_lsqr.o wtminc_lsqr.o row_io.o normalize.o
	cc -o test_lsqr test_lsqr.o minc_lsqr.o wtminc_lsqr.o row_io.o  \
		normalize.o -lm
clean:
	/bin/rm *.o

delta_az.o: 		delta_az.c
gcarc.o: 		gcarc.c
get_lengths.o: 		get_lengths.c
getpar.o: 		getpar.c
image_smooth.o:		image_smooth.c
mnrutil.o: 		mnrutil.c
row_io.o: 		row_io.c
write_model.o:		write_model.c
readobs.o: 		readobs.c
nreadobs.o: 		nreadobs.c
latlon_to_xy.o:		latlon_to_xy.c
minc_lsqr.o:		minc_lsqr.c
wtminc_lsqr.o:		wtminc_lsqr.c
normalize.o:		normalize.c
get2Dsmoother.o:	get2Dsmoother.c
in_rect.o:		in_rect.c
get_rough.o:		get_rough.c
