#include <math.h>
#include "invsubs.h"

#define deg_to_rad 0.017453292
#define rad_to_deg 57.29577951

/***********************************************************************************/
/*
 * convert lat and lon in degrees to x and y in km (uses a sinusoidal
 * projection)
 */
/***********************************************************************************/

void LATLON_to_XY(float lat, float lon, float *x, float *y, float minlat, float center_lon, float min_x)
{

	*y = (lat - minlat) * 111.19;

	*x = (lon - center_lon) * (cos((lat) * deg_to_rad) * 111.19) + min_x;
}
